MUNMAP(2)

NAME
munmap - remove a mapping

LIBRARY
libc

SYNOPSIS
#include <sys/mman.h>
int
munmap(void *addr, size_t len);

DESCRIPTION
The munmap() system call deletes the mappings for the specified address range, and causes further references to addresses within the range to generate invalid memory references.

RETURN VALUES

ERRORS
The munmap() system call will fail if:

[EINVAL]
    The addr argument was not page aligned, the len argument was zero or negative, or some part of the region being unmapped is outside the valid address range for a process.

SEE ALSO
madvise(2), mincore(2), mmap(2), mprotect(2), msync(2), getpagesize(3)

HISTORY
The munmap() system call first appeared in 4.4BSD.